/* YOODA : Yet another Object Oriented Database
   Copyright (C) 1994  Eric Abecassis

This library is free software; you can redistribute it and/or
modify it under the terms of the GNU Library General Public
License as published by the Free Software Foundation; either
version 2 of the License, or (at your option) any later version.

This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
Library General Public License for more details.

You should have received a copy of the GNU Library General Public
License along with this library; if not, write to the Free
Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA. */


#ifndef __yoo_root_HXX
#define __yoo_root_HXX

#ifndef __yooexcept_HXX
#include "yooexcept.hxx"
#endif
#ifndef __obj_HXX
#include "obj.hxx"
#endif
#ifndef __cluster_HXX
#include "cluster.hxx"
#endif
#ifndef __smartp_HXX
#include "smartp.hxx"
#endif
#ifndef __yoofunc_HXX
#include "yoofunc.hxx"
#endif
#ifndef __volallocator_HXX
#include "volallocator.hxx"
#endif
#ifndef __stringx_HXX
#include "stringx.hxx"
#endif
#ifndef __colx_HXX
#include "colx.hxx"
#endif
#ifndef __listx_HXX
#include "listx.hxx"
#endif
#ifndef __dictx_HXX
#include "dictx.hxx"
#endif
#ifndef __sharedcol_HXX
#include "sharedcol.hxx"
#endif
#ifndef __iter_HXX
#include "iter.hxx"
#endif

#ifndef __dictionary_HXX
#include "dictionary.hxx"
#endif



int yoo_setname(yoo_ObjectX obj, const StringX& str) ;
int yoo_getname(yoo_ObjectX& obj, const StringX& str) ;
int yoo_delname(const StringX& str) ;


// DEBUG
void init_debug() ;

#endif

